#
# spec file for package cyrus-sasl (Version 1.5.24)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  autoconf automake db db-devel des heimdal heimdal-devel heimdal-lib libtool openssl
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db db-devel des devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip heimdal heimdal-devel heimdal-lib kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg openssl pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         cyrus-sasl
Copyright:    2000 Carnegie Mellon University
Group:        Utilities/Security
Url:          http://asg.web.cmu.edu/sasl/
Autoreqprov:  on
Summary:      Cyrus SASL API implmentation
Version:      1.5.24
Release:      157
Obsoletes:    sasl
Source:       %{name}-%{version}.tar.gz
Patch:        %{name}-%{version}.dif
Patch1:       sasl_reentry_fix.patch
Patch2:       fmt_string_fix.patch
BuildRoot:    %{_tmppath}/%{name}-root
%package      devel
Summary:      Cyrus SASL API implmentation, Libraries and Header files
Autoreqprov:  on
Group:        Development/Libraries
Prefix:       %{_prefix}
Requires:     cyrus-sasl
%package      gssapi
Summary:      Cyrus SASL API implmentation
Autoreqprov:  on
Group:        Development/Libraries
Prefix:       %{_prefix}
Requires:     cyrus-sasl

%description
This is the Cyrus SASL API implmentation. It can be used on the client
or server side to provide authentication. See RFC 2222 for more
information.

Authors:
--------
    <tech-transfer> tech-transfer@andrew.cmu.edu

SuSE series: sec


%description devel
This is the Cyrus SASL API implmentation. It can be used on the client
or server side to provide authentication. See RFC 2222 for more
information.

Authors:
--------
    <tech-transfer> tech-transfer@andrew.cmu.edu

SuSE series: sec


%description gssapi
This is the Cyrus SASL API implmentation. It can be used on the client
or server side to provide authentication. See RFC 2222 for more
information.

Authors:
--------
    <tech-transfer> tech-transfer@andrew.cmu.edu

SuSE series: sec

%prep
%setup -n %{name}-%{version}
%{?suse_update_config:%{suse_update_config -f config}}
%patch
%patch1 -p 1
%patch2 -p 1

%build
libtoolize --force
aclocal -I cmulocal
autoconf
automake
export CFLAGS=-O2
export CPPFLAGS="-I/usr/include/heimdal"
export LDFLAGS="-L/usr/lib/heimdal/lib -Wl,-rpath,/usr/lib/heimdal/lib"
./configure --prefix=/usr --mandir=%{_mandir} \
	--enable-login --enable-gssapi
make

%install
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;
make DESTDIR=$RPM_BUILD_ROOT install

%post

%files
/usr/lib/libsasl.so
/usr/lib/libsasl.so.7
/usr/lib/libsasl.so.7.1.8
/usr/lib/sasl/libanonymous.so*
/usr/lib/sasl/libcrammd5.so*
/usr/lib/sasl/libdigestmd5.so*
/usr/lib/sasl/liblogin.so*
/usr/lib/sasl/libplain.so*
/usr/sbin/sasldblistusers
/usr/sbin/saslpasswd
%doc %{_mandir}/man3/sasl.3.gz
%doc %{_mandir}/man8/sasldblistusers.8.gz
%doc %{_mandir}/man8/saslpasswd.8.gz
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README TODO doc testing.txt

%files gssapi
/usr/lib/sasl/libgssapiv2.so*

%files devel
%doc sample
/usr/include/hmac-md5.h
/usr/include/md5.h
/usr/include/md5global.h
/usr/include/sasl.h
/usr/include/saslplug.h
/usr/include/saslutil.h
/usr/lib/libsasl.so
/usr/lib/libsasl.la
/usr/lib/sasl/*.la
%doc %{_mandir}/man3/sasl_authorize_t.3.gz
%doc %{_mandir}/man3/sasl_callbacks.3.gz
%doc %{_mandir}/man3/sasl_checkpass.3.gz
%doc %{_mandir}/man3/sasl_client_init.3.gz
%doc %{_mandir}/man3/sasl_client_new.3.gz
%doc %{_mandir}/man3/sasl_client_start.3.gz
%doc %{_mandir}/man3/sasl_client_step.3.gz
%doc %{_mandir}/man3/sasl_decode.3.gz
%doc %{_mandir}/man3/sasl_done.3.gz
%doc %{_mandir}/man3/sasl_encode.3.gz
%doc %{_mandir}/man3/sasl_errstring.3.gz
%doc %{_mandir}/man3/sasl_getopt_t.3.gz
%doc %{_mandir}/man3/sasl_getpath_t.3.gz
%doc %{_mandir}/man3/sasl_getprop.3.gz
%doc %{_mandir}/man3/sasl_getsecret_t.3.gz
%doc %{_mandir}/man3/sasl_getsimple_t.3.gz
%doc %{_mandir}/man3/sasl_listmech.3.gz
%doc %{_mandir}/man3/sasl_log_t.3.gz
%doc %{_mandir}/man3/sasl_server_init.3.gz
%doc %{_mandir}/man3/sasl_server_new.3.gz
%doc %{_mandir}/man3/sasl_server_start.3.gz
%doc %{_mandir}/man3/sasl_server_step.3.gz
%doc %{_mandir}/man3/sasl_setprop.3.gz
%doc %{_mandir}/man3/sasl_usererr.3.gz

%changelog -n cyrus-sasl
* Fri Nov 09 2001 - choeger@suse.de
- Security update for a format string bug in the logging callback function
* Fri Aug 31 2001 - choeger@suse.de
- bugfix: libgssapi was unable to find kerberos libs Bugzilla ID#9720
- added patch from Rein Tollevik <rein@basefarm.no> that does a
  workaround to the library reentry problem of SASL
  ( e.g. when using sasl->pam_ldap->openldap together with
  cyrus-imapd, you got segfaults, see
  http://www.openldap.org/lists/openldap-software/200108/msg00594.html
  for more details )
* Mon Jun 11 2001 - schwab@suse.de
- Run aclocal to get new libtool macros.
- Fix quoting in configure.in.
* Fri May 11 2001 - choeger@suse.de
- added obsolotes tag
* Thu May 03 2001 - ro@suse.de
- added db to neededforbuild
- test for __db_open in configure
* Tue Apr 24 2001 - choeger@suse.de
- split up gssapi library into seperate package
* Fri Apr 20 2001 - choeger@suse.de
- added gssapi support
* Thu Apr 05 2001 - choeger@suse.de
- added libtoolize --force to make linking against static
  libdes.a work
* Thu Apr 05 2001 - choeger@suse.de
- sasl won't work, if the .so links are not installed in
  /usr/lib/sasl, so I moved them back to the main package
* Fri Mar 16 2001 - kukuk@suse.de
- Move all devel files into devel package
- Remove duplicate Provides
- Add requires for main package to devel
- Remove tcl requires
* Tue Feb 27 2001 - choeger@suse.de
- splittet into -devel package
* Fri Jan 05 2001 - choeger@suse.de
- activate --enable-login to let Outlook be able to
  use SMTP-AUTH
* Tue Nov 14 2000 - choeger@suse.de
- buildroot
- long package name
- group tag
* Fri Oct 06 2000 - choeger@suse.de
- removed ed, autoconf, etc. from requires
* Thu Oct 05 2000 - choeger@suse.de
- update to version 1.5.24
* Tue Sep 26 2000 - ro@suse.de
- who needs eazy anyway
* Tue Sep 05 2000 - bk@suse.de
- fixed update config macro call.
* Sun Jun 25 2000 - bk@suse.de
- added update config macro
* Thu Jun 08 2000 - choeger@suse.de
- new package, v1.5.21
